Retrieve errors for a specific import
curl --request GET \
--url https://api.hubapi.com/crm/v3/imports/{importId}/errors \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/crm/v3/imports/{importId}/errors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/crm/v3/imports/{importId}/errors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"createdAt": 123,
"id": "<string>",
"sourceData": {
"additionalRowData": [
"<string>"
],
"containsEncryptedProperties": true,
"fileId": 123,
"lineNumber": 123,
"rowData": [
"<string>"
],
"pageName": "<string>"
},
"errorMessage": "<string>",
"extraContext": "<string>",
"invalidPropertyValue": {
"isEncrypted": true,
"isLargeValue": true,
"name": "<string>",
"persistenceTimestamp": 123,
"requestId": "<string>",
"selectedByUser": true,
"selectedByUserTimestamp": 123,
"sourceId": "<string>",
"sourceLabel": "<string>",
"sourceMetadata": "<string>",
"sourceUpstreamDeployable": "<string>",
"sourceVid": [
123
],
"timestamp": 123,
"unit": "<string>",
"updatedByUserId": 123,
"useTimestampAsPersistenceTimestamp": true,
"value": "<string>"
},
"invalidValue": "<string>",
"invalidValueToDisplay": "<string>",
"knownColumnNumber": 123,
"objectTypeId": "<string>"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Imports
Retrieve errors for a specific import
Retrieves detailed error records for a specific import operation, enabling you to identify and troubleshoot records that failed during processing.
GET
/
crm
/
v3
/
imports
/
{importId}
/
errors
Retrieve errors for a specific import
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Query Parameters
The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.
The maximum number of results to display per page.
Last modified on March 30, 2026
Was this page helpful?
⌘I